Package org.globus.myproxy

# Class MyProxyServerAuthorization

java.lang.Object
org.globus.gsi.gssapi.auth.Authorization
org.globus.myproxy.MyProxyServerAuthorization

public class MyProxyServerAuthorization extends Authorization
Implements the MyProxy server authorization mechanism.

## Constructor Summary

Constructors
Constructor
Description
`MyProxyServerAuthorization()`

## Method Summary

Modifier and Type
Method
Description
`void`
`authorize(GSSContext context, String host)`
Performs MyProxy server authorization checks.

### Methods inherited from class org.globus.gsi.gssapi.auth.Authorization

`generateAuthorizationException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyProxyServerAuthorization

public MyProxyServerAuthorization()

## Method Details

### authorize

public void authorize(GSSContext context, String host) throws AuthorizationException
Performs MyProxy server authorization checks. The hostname of the server is compared with the hostname specified in the server's (topmost) certificate in the certificate chain. The hostnames must match exactly (in case-insensitive way). The service in the certificate may be "host" or "myproxy". `AuthorizationException` if the authorization fails. Otherwise, the function completes normally.

Specified by:
  `authorize` in class `Authorization`
Parameters:
  `context` - the security context.
  `host` - host address of the peer.
Throws:
  `AuthorizationException` - if the peer is not authorized to access/use the resource.